<!-- eslint-disable vue/multi-word-component-names -->
<template>
  <page />
</template>

<script setup>
  import { reactive, provide } from 'vue';
  import page from './page.vue';

  // 创建一个响应式对象
  const pageData = reactive({
    tableList: [],
    tableColumns: [],
    graphList: [],
    XData: [],
  });

  // 使用 provide 函数来提供这个响应式对象
  provide('pageData', pageData);
</script>
